Class | Prawn::Images::PNG
In: | lib/prawn/images/png.rb
Parent: | Object

A convenience class that wraps the logic for extracting the parts of a PNG image that we need to embed them in a PDF

### Methods

new pixel_bytes

### Attributes

alpha_channel | [R] |
bits | [R] |
color_type | [R] |
compression_method | [R] |
filter_method | [R] |
height | [R] |
img_data | [R] |
interlace_method | [R] |
palette | [R] |
scaled_height | [RW] |
scaled_width | [RW] |
transparency | [R] |
width | [R] |

### Public Class methods

new(data)

Process a new PNG image

`data`: | A string containing a full PNG file

### Public Instance methods

pixel_bytes()

[Validate]